Summary:	TCP "echo" performance test
Name:		echoping
Version:	6.0.2
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Base
URL:		http://echoping.sourceforge.net/
Source0:	ftp://ftp.internatif.org/pub/unix/echoping/echoping-%{version}.tar.bz2
Patch0:     echoping-6.0.2-fix-plugin-loading.patch
Patch1:     echoping-6.0.2-fix-autotools.patch
BuildRequires:	openssl-devel
BuildRequires:	libidn-devel
BuildRequires:	libtool
BuildRequires:	openldap-devel
BuildRequires:	popt-devel
BuildRequires:	postgresql-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
"echoping" is a small program to test (approximatively) performances of a
remote host by sending it TCP "echo" (or other protocol, such as HTTP)
packets.

%package devel
Summary:	Development files and headers for %{name}
Group:		Development/C++

%description devel
Development files and headers for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
autoreconf -f -i

%build
%configure2_5x \
    --disable-static \
    --enable-icp \
    --enable-http \
    --enable-smtp \
    --disable-ttcp \
    --enable-tos \
    --enable-priority \
    --with-libidn \
    --with-ssl \
    --without-gnutls

%make

# (tpg) tests fails on test-echoping-local
#check

# only do this if we have a working network
#if ping -c4 www.mandriva.com >/dev/null 2>&1; then
#    make test
#else
#    echo "Network is not working, no tests will be executed."
#fi

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO DETAILS
%dir %{_libdir}/%{name}
%{_bindir}/echoping
%{_libdir}/%{name}/*.so
%{_libdir}/%{name}/*.la
%{_mandir}/man1/echoping*.1*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h


%changelog
* Wed Sep 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 6.0.2-3mdv2009.0
+ Revision: 443557
- fix plugins loading

* Thu Sep 03 2009 Thierry Vignaud <tvignaud@mandriva.com> 6.0.2-2mdv2010.0
+ Revision: 428446
- rebuild

* Mon Jul 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 6.0.2-1mdv2009.0
+ Revision: 239433
- fix file list
- update to new version
- disable checks, they doesn't work in our bs
- new license policy
- add missing buildrequires

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Nov 30 2006 Oden Eriksson <oeriksson@mandriva.com> 5.2.0-2mdv2007.0
+ Revision: 89133
- only run the tests if we have a working network
- Import echoping

* Thu Nov 30 2006 Oden Eriksson <oeriksson@mandriva.com> 5.2.0-1mdv2007.1
- stolen from fedora extras and adapted for Mandriva

* Sat Sep 09 2006 Andreas Thienemann <andreas@bawue.net> - 5.2.0-2
- FE6 Rebuild

* Mon Mar 13 2006 Andreas Thienemann <andreas@bawue.net> 5.2.0-1
- Initial FE release.

